al_fixceil(3)

NAME

al_fixceil - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_fixceil(al_fixed x);

DESCRIPTION

Returns the smallest integer not less than x. That is, it rounds towards positive infinity.

Example:

    int result;
    /* This will put 34 into `result'. */
    result = al_fixceil(al_itofix(100) / 3);
    /* This will round up to 17. */
    result = al_fixceil(al_itofix(100) / 6);

SEE ALSO

al_fixtoi(3), al_fixfloor(3).